dpkg-parsechangelog(1)

NOM
dpkg-parsechangelog - Analyse un fichier changelog Debian.

SYNOPSIS
dpkg-parsechangelog [option...]

DESCRIPTION
dpkg-parsechangelog lit et fait l'analyse du fichier « changelog » d'une arborescence source dépaquetée et affiche les informations qu'il contient sur la sortie standard et sous une forme lisible par la machine.

OPTIONS

-l, --file fichier-des-changements
    Indique le fichier des changements où trouver des renseignements. Un « - » peut être utilisé pour spécifier une lecture à partir de l'entrée standard. Par défaut, c'est le fichier debian/changelog.

-F format-du-fichier-des-changements
    Indique le format du fichier changelog. Par défaut, c'est une ligne spéciale, près de la fin du fichier, qui l'indique ; sinon, on utilise le format classique debian. Voir aussi FORMATS DES FICHIERS DE CHANGEMENTS.

-L rep_lib
    Option obsolète sans effet (depuis dpkg 1.18.8). Fixer les variables d'environnement de Perl PERL5LIB ou PERLLIB a un effet similaire lors de la recherche des modules d'analyse de Perl.

-S, --show-field champ
    Indique le nom du champ à afficher (depuis dpkg 1.17.0). Le nom du champ n'est pas affiché, mais seulement sa valeur.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

  Options de filtrage
The following options can be used to influence the output of the changelog parser, for example the range of entries or the format of the output.

--format format-de-sortie
    Set the output format. Currently supported values are dpkg and rfc822. dpkg is the classic output format (from before this option existed) and the default. It consists of one stanza in Debian control format (see deb-control(5)). If more than one entry is requested, then most fields are taken from the first entry (usually the most recent entry), except otherwise stated:

    Source: nom-du-paquet
    Version: version
    Distribution: distribution-cible
    Urgency: priorité
        La priorité la plus élevée de toutes les entrées incluses est utilisée, suivie par les commentaires concaténés et séparés par des espaces pour toutes les versions demandées.

    Maintainer: auteur
    Date: date
        La date de l'entrée sous forme d'une chaîne, telle qu'elle apparaît dans le changelog. Avec un format strptime(3) « %a, %d %b %Y %T %z » mais où le nom du jour de la semaine pourrait ne pas vraiment correspondre au jour réel obtenu à partir du reste de la chaîne de date. Si une représentation plus précise du jour est nécessaire, utilisez le champ Timestamp, mais il faut prendre en compte qu'il pourrait ne pas être possible de la faire correspondre à la valeur exacte de ce champ.

    Timestamp: horodatage
        La date de l'entrée comme horodatage en secondes depuis « l'epoch » (depuis dpkg 1.18.8).

    Closes: numéro-bogue
        Les champs « Closes » de toutes les entrées incluses sont fusionnés.

    Changes: entrées-du-fichier-des-changements
        Les textes de toutes les entrées de changelog sont concaténés. Pour faire de ce champ un champ de contrôle Debian valable, les lignes multiples qui sont vides sont remplacées par un point « . » et toutes les lignes sont indentées par une seule espace. Le contenu exact dépend du format du changelog.

    Les champs Version, Distribution, Urgency, Maintainer et Changes sont obligatoires.

    Il est possible d'avoir d'autres champs qui sont définis par l'utilisateur.

    The rfc822 format uses the same fields but outputs a separate stanza for each changelog entry so that all metadata for each entry is preserved.

--reverse
    Include all changes in reverse order (since dpkg 1.19.1).

    Note: For the dpkg format the first entry will be the most ancient entry.

--all
    Include all changes. Note: Other options have no effect when this is in use.

-s, --since version
-v version
    Inclut tous les changements qui ont suivi la version.

-u, --until version
    Inclut tous les changements qui ont eu lieu avant la version.

-f, --from version
    Inclut tous les changements depuis la version (incluse).

-t, --to version
    Inclut tous les changements apportés jusqu'à la version comprise.

-c, --count nombre
-n nombre
    Inclut ce nombre d'entrées depuis le début (ou la fin si le nombre est inférieur à 0).

-o, --offset nombre
    Modifie le point de départ pour --count, à compter du début (ou la fin si le nombre est inférieur à 0).

FORMATS DE JOURNAUX DE MODIFICATIONS
Il est possible d'utiliser un format différent de celui utilisé habituellement, en fournissant un analyseur pour le format alternatif.

Afin que dpkg-parsechangelog utilise le nouvel analyseur, il doit exister une ligne, parmi les 40 dernières du fichier, qui corresponde à l'expression régulière Perl “\schangelog-format:\s+([0-9a-z]+)\W (la partie entre parenthèses doit être le nom du format). Exemple :

    @@@ changelog-format: otherformat @@@

Les noms de formats de journaux de modifications sont des chaînes non vides de caractères alphanumériques en minuscules (« a-z0-9 »).

Si une telle ligne existe, dpkg-parsechangelog recherchera l'analyseur sous le nom du module Perl Dpkg::Changelog::autreformat ; s'il n'est pas présent, c'est une condition d'erreur. Le nom de l'analyseur dans le module Perl sera automatiquement mis en capitale. Le format de journaux de modifications par défaut est debian et un analyseur pour ce format est fourni par défaut.

L'analyseur doit être dérivé de la classe Dpkg::Changelog et implémenter l'interface documentée requise.

Si le format du journal des modifications analysé laisse toujours ou presque une ligne blanche entre chaque changement, ces lignes blanches devraient être retirées, afin de rendre l'affichage de sortie plus compact.

Si le journal des modifications ne contient pas d'informations de date ou de nom de paquet, cette information doit être omise de l'affichage. L'analyseur ne doit pas essayer de les calculer ou de les retrouver depuis d'autres sources.

Si le journal des modifications n'utilise pas le format attendu, l'analyseur produira une erreur, plutôt que d'essayer de s'en tirer comme il peut et produire une sortie incorrecte.

Un analyseur de journal de modifications ne doit pas du tout interagir avec l'utilisateur.

NOTES
Toutes les options d'analyse sauf -v sont gérées par dpkg seulement depuis la version 1.14.16.

Analyse des options courtes avec des valeurs non-groupées, disponible seulement à partir de dpkg 1.18.0.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

FICHIERS

debian/changelog
    Le journal des modifications ; on s'en sert pour connaître les informations qui dépendent d'une version du paquet source, par exemple l'urgence ou la distribution d'une installation sur le serveur, les modifications faites depuis telle édition et le numéro de la version source lui-même.

VOIR AUSSI
deb-changelog(5).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.